Wrong link /usr/src/linux-headers-3.5.0-23-generic/source

Bug #1112442 reported by martin suc on 2013-02-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Tim Gardner
Lucid
Undecided
Tim Gardner
Oneiric
Undecided
Tim Gardner
Precise
Undecided
Tim Gardner
Quantal
Undecided
Tim Gardner
Raring
Medium
Tim Gardner

Bug Description

Wrong link in package linux-headers-3.5.0-23-generic
/usr/src/linux-headers-3.5.0-23-generic/source -> /build/buildd/linux-3.5.0

lsb_release -rd
Description: Ubuntu 12.10
Release: 12.10

apt-cache policy linux-headers-3.5.0-23-generic
linux-headers-3.5.0-23-generic:
  Installed: 3.5.0-23.35
  Candidate: 3.5.0-23.35
  Version table:
 *** 3.5.0-23.35 0
        500 http://archive.ubuntu.com/ubuntu/ quantal-updates/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu/ quantal-security/main amd64 Packages
        100 /var/lib/dpkg/status

To what it should be properly pointed to (maybe /usr/src/linux-source-3.5.0) ?

kind regards,
---
ApportVersion: 2.6.1-0ubuntu10
Architecture: amd64
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
DistroRelease: Ubuntu 12.10
InstallationDate: Installed on 2013-01-19 (13 days ago)
InstallationMedia:

MachineType: System manufacturer System Product Name
MarkForUpload: True
NonfreeKernelModules: fglrx
Package: linux 3.5.0.23.29
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=en_GB:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-23-generic root=UUID=3347f7ed-1d02-4d6a-8689-0a8a492755b3 ro vga=799 apparmor=1 security=apparmor crashkernel=384M-2G:64M,2G-:128M initcall_debug printk.time=y bootchart=disable verbose elevator=noop nomodeset
ProcVersionSignature: Ubuntu 3.5.0-23.35-generic 3.5.7.2
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-23-generic N/A
 linux-backports-modules-3.5.0-23-generic N/A
 linux-firmware 2.0-bt7
RfKill:
 0: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
Tags: quantal
Uname: Linux 3.5.0-23-generic x86_64
UpgradeStatus: Upgraded to quantal on 2013-01-19 (13 days ago)
UserGroups: vboxusers
dmi.bios.date: 11/09/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 3603
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: Maximus IV Extreme
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr3603:bd11/09/2012:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnMaximusIVExtreme:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1112442

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: quantal
Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Tim Gardner (timg-tpi) on 2013-02-05
Changed in linux (Ubuntu Precise):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Quantal):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Raring):
assignee: nobody → Tim Gardner (timg-tpi)
status: Confirmed → In Progress
Tim Gardner (timg-tpi) on 2013-02-05
Changed in linux (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Oneiric):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2013-02-06
Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2013-02-06
Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.8.0-4.9

---------------
linux (3.8.0-4.9) raring; urgency=low

  [ Herton Ronaldo Krzesinski ]

  * d-i: Add mellanox ethernet drivers to nic-modules
    - LP: #1015339

  [ Joseph Salisbury ]

  * SAUCE: ACPI: Add DMI entry for Sony VGN-FW41E_H
    - LP: #1113547

  [ Kamal Mostafa ]

  * SAUCE: alx driver import script

  [ Qualcomm Atheros, Inc ]

  * SAUCE: alx: Update to heads/master

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1117673

  * [debian] Remove dangling symlink from headers package
    - LP: #1112442
  * [config] CONFIG_ALX=m
  * [Config] Add alx to d-i nic-modules
  * [Config] CONFIG_SATA_AHCI=m
    - LP: #1056563
 -- Leann Ogasawara <email address hidden> Tue, 05 Feb 2013 05:54:32 -0800

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

Tagging as verified in Quantal:
$ uname -a
Linux quantal 3.5.0-24-generic #37-Ubuntu SMP Thu Feb 7 01:50:30 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
$ ls -l /usr/src/linux-headers-3.5.0-24-generic/
total 848
drwxr-xr-x 3 root root 4096 Feb 8 11:02 arch
lrwxrwxrwx 1 root root 31 Feb 7 02:15 block -> ../linux-headers-3.5.0-24/block
lrwxrwxrwx 1 root root 32 Feb 7 02:15 crypto -> ../linux-headers-3.5.0-24/crypto
lrwxrwxrwx 1 root root 39 Feb 7 02:15 Documentation -> ../linux-headers-3.5.0-24/Documentation
lrwxrwxrwx 1 root root 33 Feb 7 02:15 drivers -> ../linux-headers-3.5.0-24/drivers
lrwxrwxrwx 1 root root 34 Feb 7 02:15 firmware -> ../linux-headers-3.5.0-24/firmware
lrwxrwxrwx 1 root root 28 Feb 7 02:15 fs -> ../linux-headers-3.5.0-24/fs
drwxr-xr-x 5 root root 4096 Feb 8 11:02 include
lrwxrwxrwx 1 root root 30 Feb 7 02:15 init -> ../linux-headers-3.5.0-24/init
lrwxrwxrwx 1 root root 29 Feb 7 02:15 ipc -> ../linux-headers-3.5.0-24/ipc
lrwxrwxrwx 1 root root 32 Feb 7 02:15 Kbuild -> ../linux-headers-3.5.0-24/Kbuild
lrwxrwxrwx 1 root root 33 Feb 7 02:15 Kconfig -> ../linux-headers-3.5.0-24/Kconfig
drwxr-xr-x 2 root root 4096 Feb 8 11:02 kernel
lrwxrwxrwx 1 root root 29 Feb 7 02:15 lib -> ../linux-headers-3.5.0-24/lib
lrwxrwxrwx 1 root root 34 Feb 7 02:15 Makefile -> ../linux-headers-3.5.0-24/Makefile
lrwxrwxrwx 1 root root 28 Feb 7 02:15 mm -> ../linux-headers-3.5.0-24/mm
-rw-r--r-- 1 root root 849836 Feb 7 02:15 Module.symvers
lrwxrwxrwx 1 root root 29 Feb 7 02:15 net -> ../linux-headers-3.5.0-24/net
lrwxrwxrwx 1 root root 33 Feb 7 02:15 samples -> ../linux-headers-3.5.0-24/samples
drwxr-xr-x 7 root root 4096 Feb 8 11:02 scripts
lrwxrwxrwx 1 root root 34 Feb 7 02:15 security -> ../linux-headers-3.5.0-24/security
lrwxrwxrwx 1 root root 31 Feb 7 02:15 sound -> ../linux-headers-3.5.0-24/sound
lrwxrwxrwx 1 root root 31 Feb 7 02:15 tools -> ../linux-headers-3.5.0-24/tools
lrwxrwxrwx 1 root root 32 Feb 7 02:15 ubuntu -> ../linux-headers-3.5.0-24/ubuntu
lrwxrwxrwx 1 root root 29 Feb 7 02:15 usr -> ../linux-headers-3.5.0-24/usr
lrwxrwxrwx 1 root root 30 Feb 7 02:15 virt -> ../linux-headers-3.5.0-24/virt

tags: added: verification-done-quantal
Luis Henriques (henrix) wrote :

Tagging as verified in Lucid:
$ uname -a
Linux lucid 2.6.32-45-generic #103-Ubuntu SMP Thu Feb 7 22:19:08 UTC 2013 x86_64 GNU/Linux
$ ls -l /usr/src/linux-headers-2.6.32-45-generic/
total 652
drwxr-xr-x 3 root root 4096 2013-02-11 10:14 arch
lrwxrwxrwx 1 root root 32 2012-11-06 14:21 block -> ../linux-headers-2.6.32-45/block
lrwxrwxrwx 1 root root 33 2012-11-06 14:21 crypto -> ../linux-headers-2.6.32-45/crypto
lrwxrwxrwx 1 root root 40 2012-11-06 14:21 Documentation -> ../linux-headers-2.6.32-45/Documentation
lrwxrwxrwx 1 root root 34 2012-11-06 14:21 drivers -> ../linux-headers-2.6.32-45/drivers
lrwxrwxrwx 1 root root 35 2012-11-06 14:21 firmware -> ../linux-headers-2.6.32-45/firmware
lrwxrwxrwx 1 root root 29 2012-11-06 14:21 fs -> ../linux-headers-2.6.32-45/fs
drwxr-xr-x 5 root root 4096 2013-02-11 10:14 include
lrwxrwxrwx 1 root root 31 2012-11-06 14:21 init -> ../linux-headers-2.6.32-45/init
lrwxrwxrwx 1 root root 30 2012-11-06 14:21 ipc -> ../linux-headers-2.6.32-45/ipc
lrwxrwxrwx 1 root root 33 2013-02-11 10:14 Kbuild -> ../linux-headers-2.6.32-45/Kbuild
drwxr-xr-x 2 root root 4096 2013-02-11 10:14 kernel
lrwxrwxrwx 1 root root 30 2012-11-06 14:21 lib -> ../linux-headers-2.6.32-45/lib
lrwxrwxrwx 1 root root 35 2013-02-11 10:14 Makefile -> ../linux-headers-2.6.32-45/Makefile
lrwxrwxrwx 1 root root 29 2012-11-06 14:21 mm -> ../linux-headers-2.6.32-45/mm
-rw-r--r-- 1 root root 647369 2013-02-07 23:06 Module.symvers
lrwxrwxrwx 1 root root 30 2012-11-06 14:21 net -> ../linux-headers-2.6.32-45/net
lrwxrwxrwx 1 root root 34 2012-11-06 14:21 samples -> ../linux-headers-2.6.32-45/samples
drwxr-xr-x 7 root root 4096 2013-02-11 10:14 scripts
lrwxrwxrwx 1 root root 35 2012-11-06 14:21 security -> ../linux-headers-2.6.32-45/security
lrwxrwxrwx 1 root root 32 2012-11-06 14:21 sound -> ../linux-headers-2.6.32-45/sound
lrwxrwxrwx 1 root root 32 2012-11-06 14:21 tools -> ../linux-headers-2.6.32-45/tools
lrwxrwxrwx 1 root root 33 2012-11-06 14:21 ubuntu -> ../linux-headers-2.6.32-45/ubuntu
lrwxrwxrwx 1 root root 30 2012-11-06 14:21 usr -> ../linux-headers-2.6.32-45/usr
lrwxrwxrwx 1 root root 31 2012-11-06 14:21 virt -> ../linux-headers-2.6.32-45/virt

tags: added: verification-done-lucid

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-45.103

---------------
linux (2.6.32-45.103) lucid-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1118467

  [ Tim Gardner ]

  * [debian] Remove dangling symlink from headers package
    - LP: #1112442

  [ Upstream Kernel Changes ]

  * xen: Fix stack corruption in xen_failsafe_callback for 32bit PVOPS
    guests.
    - LP: #1102374
    - CVE-2013-0190
 -- Luis Henriques <email address hidden> Thu, 07 Feb 2013 15:38:42 +0000

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (28.9 KiB)

This bug was fixed in the package linux - 3.5.0-24.37

---------------
linux (3.5.0-24.37) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1117492

  [ Tim Gardner ]

  * [Config] CONFIG_ALX=m for x86 only
    - LP: #927782

linux (3.5.0-24.36) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1116501

  [ Adam Lee ]

  * [Config] Enable RTSX_PCI modules
    - LP: #1057089

  [ Andy Whitcroft ]

  * [Config] enable various HVC consoles
    - LP: #1102206

  [ Brad Figg ]

  * Revert "SAUCE: samsung-laptop: disable in UEFI mode"
    - LP: #1111689

  [ Herton Ronaldo Krzesinski ]

  * [Config] updateconfigs for 3.5.7.3 stable update
  * d-i: Add mellanox ethernet drivers to nic-modules
    - LP: #1015339

  [ Kamal Mostafa ]

  * SAUCE: alx driver import script
    - LP: #927782

  [ Qualcomm Atheros, Inc ]

  * SAUCE: alx: Update to heads/master
    - LP: #927782

  [ Seth Forshee ]

  * SAUCE: samsung-laptop: Add quirk for broken acpi_video backlight on
    N250P
    - LP: #1086921

  [ Stefan Bader ]

  * (config) Move 9p modules into generic package
    - LP: #1107658

  [ Tim Gardner ]

  * [debian] Remove dangling symlink from headers package
    - LP: #1112442
  * [config] CONFIG_ALX=m
    - LP: #927782
  * [Config] Add alx to d-i nic-modules
    - LP: #927782

  [ Upstream Kernel Changes ]

  * Revert "8139cp: revert "set ring address before enabling receiver""
    - LP: #1102417
  * Revert "ath9k_hw: Update AR9003 high_power tx gain table"
    - LP: #1102417
  * Revert "drm/i915: no lvds quirk for Zotac ZDBOX SD ID12/ID13"
    - LP: #1102417
  * Revert "ALSA: hda - Shut up pins at power-saving mode with Conexnat
    codecs"
    - LP: #1106966, #886975
  * be2net: don't call vid_config() when there's no vlan config
    - LP: #1083088
  * be2net: cleanup be_vid_config()
    - LP: #1083088
  * be2net: do not modify PCI MaxReadReq size
    - LP: #1083088
  * be2net: fix reporting number of actual rx queues
    - LP: #1083088
  * be2net: do not use SCRATCHPAD register
    - LP: #1083088
  * be2net: Fix driver load for VFs for Lancer
    - LP: #1083088
  * be2net: Explicitly clear the reserved field in the Tx Descriptor
    - LP: #1083088
  * be2net: Regression bug wherein VFs creation broken for multiple cards.
    - LP: #1083088
  * be2net: Fix to trim skb for padded vlan packets to workaround an ASIC
    Bug
    - LP: #1083088
  * be2net: Fix Endian
    - LP: #1083088
  * be2net: Fix error while toggling autoneg of pause parameters
    - LP: #1083088
  * be2net : Fix die temperature stat for Lancer
    - LP: #1083088
  * be2net: Fix initialization sequence for Lancer
    - LP: #1083088
  * be2net: Activate new FW after FW download for Lancer
    - LP: #1083088
  * be2net: Fix cleanup path when EQ creation fails
    - LP: #1083088
  * be2net: Enable RSS UDP hashing for Lancer and Skyhawk
    - LP: #1083088
  * be2net: dont pull too much data in skb linear part
    - LP: #1083088
  * be2net: Fix VF driver load for Lancer
    - LP: #1083088
  * be2net: Ignore physical link async event for Lancer
    - LP: #1083088
  * be2net: Fix to parse RSS hash from Receive compl...

Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Brad Figg (brad-figg) on 2013-03-02
tags: added: verification-needed-oneiric
Brad Figg (brad-figg) on 2013-03-03
tags: added: verification-done-oneiric verification-done-precise
removed: verification-needed-oneiric verification-needed-precise
martin suc (martin-suc) wrote :

just observation: many mainline ubuntu linux kernel headers generic have the same issue.

Launchpad Janitor (janitor) wrote :
Download full text (5.5 KiB)

This bug was fixed in the package linux - 3.0.0-32.50

---------------
linux (3.0.0-32.50) oneiric-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1136175

  [ Ian Campbell ]

  * SAUCE: xen/netback: shutdown the ring if it contains garbage.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: netback: correct netbk_tx_err to handle wrap around.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: xen/netback: don't leak pages on failure in
    xen_netbk_tx_check_gop.
    - LP: #1117331
    - CVE-2013-0217
  * SAUCE: xen/netback: free already allocated memory on failure in
    xen_netbk_get_requests
    - LP: #1117331
    - CVE-2013-0217

  [ Tim Gardner ]

  * [debian] Remove dangling symlink from headers package
    - LP: #1112442
  * SAUCE: rt2x00: rt2x00pci_regbusy_read() - only print register access
    failure once
    - LP: #1128840

  [ Upstream Kernel Changes ]

  * can: c_can: fix invalid error codes
    - LP: #1116259
  * can: ti_hecc: fix invalid error codes
    - LP: #1116259
  * can: pch_can: fix invalid error codes
    - LP: #1116259
  * fs/cifs/cifs_dfs_ref.c: fix potential memory leakage
    - LP: #1116259
  * ARM: DMA: Fix struct page iterator in dma_cache_maint() to work with
    sparsemem
    - LP: #1116259
  * Bluetooth: Fix sending HCI commands after reset
    - LP: #1116259
  * ath9k_htc: Fix memory leak
    - LP: #1116259
  * ath9k: fix double-free bug on beacon generate failure
    - LP: #1116259
  * ALSA: usb-audio: fix invalid length check for RME and other UAC 2
    devices
    - LP: #1116259
  * EDAC: Test correct variable in ->store function
    - LP: #1116259
  * Bluetooth: Fix incorrect strncpy() in hidp_setup_hid()
    - LP: #1116259
  * smp: Fix SMP function call empty cpu mask race
    - LP: #1116259
  * x86/msr: Add capabilities check
    - LP: #1116259
  * efi, x86: Pass a proper identity mapping in efi_call_phys_prelog
    - LP: #1116259
  * x86/Sandy Bridge: Sandy Bridge workaround depends on CONFIG_PCI
    - LP: #1116259
  * Linux 3.0.62
    - LP: #1116259
  * drm/radeon/evergreen+: wait for the MC to settle after MC blackout
    - LP: #1122313
  * drm/radeon: add quirk for RV100 board
    - LP: #1122313
  * drm/radeon: Calling object_unrefer() when creating fb failure
    - LP: #1122313
  * x86-64: Replace left over sti/cli in ia32 audit exit code
    - LP: #1122313
  * nilfs2: fix fix very long mount time issue
    - LP: #1122313
  * drivers/rtc/rtc-isl1208.c: call rtc_update_irq() from the alarm irq
    handler
    - LP: #1122313
  * USB: ftdi_sio: add Zolix FTDI PID
    - LP: #1122313
  * USB: ftdi_sio: add PID/VID entries for ELV WS 300 PC II
    - LP: #1122313
  * USB: option: add support for Telit LE920
    - LP: #1122313
  * USB: option: add Changhong CH690
    - LP: #1122313
  * USB: qcserial: add Telit Gobi QDL device
    - LP: #1122313
  * USB: EHCI: fix bug in scheduling periodic split transfers
    - LP: #1122313
  * USB: storage: Define a new macro for USB storage match rules
    - LP: #1122313
  * USB: storage: optimize to match the Huawei USB storage devices and
    support new switch command
    - LP: #1122313
  * xhci: Fix isoc TD encoding.
    - LP: #1122313
  * US...

Read more...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (15.4 KiB)

This bug was fixed in the package linux - 3.2.0-39.62

---------------
linux (3.2.0-39.62) precise-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1134424

  [ Herton Ronaldo Krzesinski ]

  * Revert "SAUCE: samsung-laptop: disable in UEFI mode"
    - LP: #1117693
  * d-i: Add mellanox ethernet drivers to nic-modules
    - LP: #1015339

  [ Ian Campbell ]

  * SAUCE: xen/netback: shutdown the ring if it contains garbage.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: netback: correct netbk_tx_err to handle wrap around.
    - LP: #1117325
    - CVE-2013-0216
  * SAUCE: xen/netback: don't leak pages on failure in
    xen_netbk_tx_check_gop.
    - LP: #1117331
    - CVE-2013-0217
  * SAUCE: xen/netback: free already allocated memory on failure in
    xen_netbk_get_requests
    - LP: #1117331
    - CVE-2013-0217

  [ Jan Beulich ]

  * SAUCE: xen-pciback: rate limit error messages from
    xen_pcibk_enable_msi{, x}()
    - LP: #1117336
    - CVE-2013-0231

  [ Tim Gardner ]

  * [debian] Remove dangling symlink from headers package
    - LP: #1112442
  * SAUCE: rt2x00: rt2x00pci_regbusy_read() - only print register access
    failure once
    - LP: #1128840

  [ Upstream Kernel Changes ]

  * Revert "ALSA: hda - Shut up pins at power-saving mode with Conexnat
    codecs"
    - LP: #1117693, #886975
  * Revert "drm/i915: no lvds quirk for Zotac ZDBOX SD ID12/ID13"
    - LP: #1117693
  * Revert "ptrace: ensure arch_ptrace/ptrace_request can never race with
    SIGKILL"
    - LP: #1131218
  * SAUCE: xen/pv-spinlock: Never enable interrupts in xen_spin_lock_slow()
    - LP: #1011792
  * usb: gadget: dummy: fix enumeration with g_multi
    - LP: #1117693
  * usb: musb: core: print new line in the driver banner again
    - LP: #1117693
  * virtio-blk: Don't free ida when disk is in use
    - LP: #1117693
  * mac80211: use del_timer_sync for final sta cleanup timer deletion
    - LP: #1117693
  * xhci: Handle HS bulk/ctrl endpoints that don't NAK.
    - LP: #1117693
  * USB: Handle auto-transition from hot to warm reset.
    - LP: #1117693
  * USB: Ignore xHCI Reset Device status.
    - LP: #1117693
  * USB: Allow USB 3.0 ports to be disabled.
    - LP: #1117693
  * USB: Increase reset timeout.
    - LP: #1117693
  * USB: Ignore port state until reset completes.
    - LP: #1117693
  * USB: Handle warm reset failure on empty port.
    - LP: #1117693
  * xhci: Avoid "dead ports", add roothub port polling.
    - LP: #1117693
  * ASoC: wm5100: Remove DSP B and left justified formats
    - LP: #1117693
  * mwifiex: handle association failure case correctly
    - LP: #1117693
  * mwifiex: check wait_event_interruptible return value
    - LP: #1117693
  * ASoC: wm2000: Fix sense of speech clarity enable
    - LP: #1117693
  * ioat: Fix DMA memory sync direction correct flag
    - LP: #1117693
  * drm/i915; Only increment the user-pin-count after successfully pinning
    the bo
    - LP: #1117693
  * staging: r8712u: Add new device ID
    - LP: #1117693
  * staging: speakup: avoid out-of-range access in synth_init()
    - LP: #1117693
  * staging: speakup: avoid out-of-range access in synth_add()
    - LP: #1117693
  * staging: come...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers